Package org.drinkless.tdlib

# Class TdApi.ShareUsersWithBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ShareUsersWithBot

Enclosing class:
  TdApi

public static class TdApi.ShareUsersWithBot extends TdApi.Function<TdApi.Ok>
Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `buttonId`
  Identifier of the button.
  `long`
  `chatId`
  Identifier of the chat with the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message with the button.
  `boolean`
  `onlyCheck`
  Pass true to check that the users can be shared by the button instead of actually sharing them.
  `long[]`
  `sharedUserIds`
  Identifiers of the shared users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShareUsersWithBot()`
  Default constructor for a function, which shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.
  `ShareUsersWithBot(long chatId, long messageId, int buttonId, long[] sharedUserIds, boolean onlyCheck)`
  Creates a function, which shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat with the bot.

  - ### messageId

    public long messageId
    Identifier of the message with the button.

  - ### buttonId

    public int buttonId
    Identifier of the button.

  - ### sharedUserIds

    public long[] sharedUserIds
    Identifiers of the shared users.

  - ### onlyCheck

    public boolean onlyCheck
    Pass true to check that the users can be shared by the button instead of actually sharing them.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ShareUsersWithBot

    public ShareUsersWithBot()
    Default constructor for a function, which shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

    Returns `Ok`

  - ### ShareUsersWithBot

    public ShareUsersWithBot(long chatId, long messageId, int buttonId, long[] sharedUserIds, boolean onlyCheck)
    Creates a function, which shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat with the bot.
      `messageId` - Identifier of the message with the button.
      `buttonId` - Identifier of the button.
      `sharedUserIds` - Identifiers of the shared users.
      `onlyCheck` - Pass true to check that the users can be shared by the button instead of actually sharing them.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR